Subject: [Ietf-calsify] Section 4.8.5.3 Recurrence Date/Times: RDATE < DTSTART

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Sun Nov 5 14:34:42 2006

In section 4.8.5.3 Recurrence Date/Times of RFC 2445 it says:

 > The "DTSTART" property defines the first instance in the
 > recurrence set.

I believe this section should clarify that the "RDATE" property
value can actually be earlier in time than the value of the
"DTSTART" property.

Cheers,
Bernard

---

From: reinhold at kainhofer.com (Reinhold Kainhofer)
Date: Mon Nov 6 00:40:44 2006

> value can actually be earlier in time than the value of the

I always understood this sentence that the DTSTART is always the first 
date/time of the event and RDATE cannot be earlier. Otherwise, to determine 
whether an event happens today, one would have to look at all recurrences of 
all events, future or past. If the DTSTART is always the first time, then it 
suffices to look at all events that have already started at the given date 
(i.e. DTSTART<=givenDateTime).

Cheers,
Reinhold
- -- 
- ------------------------------------------------------------------
Reinhold Kainhofer, Vienna University of Technology, Austria
email: [email-masked], http://reinhold.kainhofer.com/
 * Financial and Actuarial Mathematics, TU Wien, http://www.fam.tuwien.ac.at/
 * K Desktop Environment, http://www.kde.org, KOrganizer maintainer
 * Chorvereinigung "Jung-Wien", http://www.jung-wien.at/

---

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Mon Nov 6 06:01:09 2006

Reinhold,

In my opinion we need to allow RDATE to be less than DTSTART,
even more so now that DTSTART should be synchronized with the
recurrence rule.

Let's say I want to have a meeting today (Monday) with three
further instances on the next upcoming Tuesday. I could easily
do that with an RDATE set to today (Monday) and a DTSTART set
to tomorrow (Tuesday) and RRULE:FREQ=WEEKLY;BYDAY=TU;COUNT=3.

Cheers,
Bernard

Reinhold Kainhofer wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.3 (GNU/Linux)
> 
> iD8DBQFFTvUFTqjEwhXvPN0RAsPDAJ4n+XOsCnoXHjZIfHS//FrbChScywCfeHY6
> RUXtgVx4DX3mzyaAq+CT9j4=
> =5sgz
> -----END PGP SIGNATURE-----
> _______________________________________________
> Ietf-calsify mailing list
> [email-masked]
> http://lists.osafoundation.org/mailman/listinfo/ietf-calsify

---

From: cyrus at daboo.name (Cyrus Daboo)
Date: Mon Nov 6 07:15:07 2006

Hi Bernard,

> value can actually be earlier in time than the value of the

+1

-- 
Cyrus Daboo

---

From: lisa at osafoundation.org (Lisa Dusseault)
Date: Mon Nov 6 08:49:34 2006

That's one of those cases that I think we could handle *not* having  
all in the same recurrence rule, or by having EXDates rather than  
make RDATE an implicit EXDATE.  There are so many ways of expressing  
the logical meeting you describe...

Lisa

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.osafoundation.org/pipermail/ietf-calsify/attachments/20061106/0c77b460/attachment.htm